org.deidentifier.arx.aggregates.quality

## Class QualityMeasureRowOriented

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityMeasureRowOriented

    public class QualityMeasureRowOriented
    extends java.lang.Object

A measure for the complete dataset. Results are reported in range [0, 1]. Higher is better.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityMeasureRowOriented()` Creates an empty instance
`QualityMeasureRowOriented(double minimum, double result, double maximum)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getValue()` Returns the normalized [0,1] value.
`boolean` `isAvailable()` Returns whether this value is available

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityMeasureRowOriented

    public QualityMeasureRowOriented()

Creates an empty instance

#### QualityMeasureRowOriented

    public QualityMeasureRowOriented(double minimum,
                                     double result,
                                     double maximum)

Creates a new instance

Parameters:
  `minimum` -
  `result` -
  `maximum` -

### Method Detail

#### getValue

    public double getValue()

Returns the normalized [0,1] value. Higher is better.

Returns:

#### isAvailable

    public boolean isAvailable()

Returns whether this value is available

Returns: